# ASN.1 modules for ETSI ITS Common Data Dictionary (ETSI TS 102 894-2) Release 2

The ASN.1 module for ETSI ITS Common Data Dictionary (CDD) is contained in the **[ETSI-ITS-CDD.asn](ETSI-ITS-CDD.asn)** file.
* The module will be published in the **[ETSI TS 102 894-2 v2.2.1](https://www.etsi.org/deliver/etsi_ts/102800_102899/10289402/02.02.01_60/ts_10289402v020201p.pdf)**.

## License

The content of this repository and the files contained are released under the BSD-3-Clause license.

See the attached [LICENSE](LICENSE) file or visit https://forge.etsi.org/legal-matters.

## Dependencies

The module doesn't have any dependencies.

## History

Release V2.2.1 integrates:
- ITSWG1(23)062003   Update VAM parameters definitions in ITS Common Data Dictionary
- ITSWG1(23)063016   CPM ASN.1 format (CDD+CPS)
- ITSWG1(23)063017   Generalize the opening angles of the radial shape options
- ITSWG1(23)063018   Generalize the orientation of the DF Shape
- ITSWG1(23)063012   CDD extension to enable Road Configuration Container in DENMs
- ITSWG1(23)000078   CDD extension to enable Road Configuration Container in DENMs with JTI changes
- ITSWG1(23)063001r2 Extend LaneInformation to cover more scenarios
- ITSWG1(23)063005r1 Add DEs and DFs to allow referring to IVIMs and MAPEMs
- ITSWG1(23)063005r1 Add DE and DFs to support traces leading to any eventZone point.
- ITSWG1(23)000088   Add SubCauseCodes to CauseCode 5 (Impassability)
- ITSWG1(23)000118   CDD extension to enable Proposal for encoding areas in location container in DENMs through predicted paths
- ITSWG1(23)063005r1 Define CauseCode 28 for �public transport vehicle approaching
- ITSWG1(23)063005r1 Add subCauseCodes to causeCode 15 RescueAndRecoveryWorkInProgress
- ITSWG1(23)063005r1 Extend the DE PositioningSolution
- ITSWG1(23)063009   Adding one option in CDD at the level of DE PositioningSolutionType
- ITSWG1(23)063005r1 Align definition of CauseCode 95  with the existing subCauseCodes
- ITSWG1(23)063005r1 Extend the DE TrafficRule
- ITSWG1(23)000132   Clarify and Add SubCauseCodes to CauseCode 1 TrafficCondition
- ITSWG1(23)000132   Add subCauseCodes to causeCode 11 HazardousLocation-AnimalOnTheRoad
- ITSWG1(23)000132   Add subCauseCodes to causeCode 12 humanPresenceOnTheRoad
- ITSWG1(23)000134   Relative event position using road configuration container in DENM
- ITSWG1(23)064026   CDD extension to enable Proposal for encoding areas in location container in DENMs through predicted paths
- ITSWG1(23)000192r1 Bosch comments for DENM Release 2
- ITSWG1(23)000195   BMF comments to CDD Release 2
- ITSWG1(23)000193	 TS 102 894-2 CR adding sub-cause codes to impassability cause code

